Saltar al contenido principal
POST
/api/v1/audio/transcriptions

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cuerpo

multipart/form-data

Request to transcribe audio to text.

file
file

The audio file object (not a base64 string). Supported formats: WAV, WAVE, FLAC, M4A, AAC, MP4, MP3, OGG, OGA, WEBM.

model
enum<string>
predeterminado:nvidia/parakeet-tdt-0.6b-v3

The model to use for transcription. See https://docs.venice.ai/models/overview for more information.

Opciones disponibles:
nvidia/parakeet-tdt-0.6b-v3,
openai/whisper-large-v3,
fal-ai/wizper,
elevenlabs/scribe-v2,
stt-xai-v1
Ejemplo:

"openai/whisper-large-v3"

response_format
enum<string>
predeterminado:json

The format of the transcript output, in one of these options: json, text.

Opciones disponibles:
json,
text
Ejemplo:

"json"

timestamps
boolean
predeterminado:false

Whether to include timestamps in the response.

Ejemplo:

false

language
string

ISO 639-1 language code (e.g., "en", "es", "fr"). Optional - if not provided, the model will auto-detect the language. Note: Only supported by certain models (e.g., Whisper). Ignored by models that do not support language hints.

Ejemplo:

"en"

Respuesta

Transcription completed successfully

Transcription response

text
string
requerido

The transcribed text

duration
number

Duration of the audio in seconds

timestamps
object

Timestamps for the transcription (only if timestamps=true)